Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 614756 - app-text/podofo fails to build against openssl-1.1
Summary: app-text/podofo fails to build against openssl-1.1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Zac Medico
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: openssl-1.1 openssl-1.1_disable-deprecated
  Show dependency tree
 
Reported: 2017-04-05 14:24 UTC by Lars Wendler (Polynomial-C)
Modified: 2018-10-24 16:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,211.00 KB, text/plain)
2017-04-05 14:24 UTC, Lars Wendler (Polynomial-C)
Details
podofo-0.9.6_pre20170629-openssl-1.1.patch (podofo-0.9.6_pre20170629-openssl-1.1.patch,9.67 KB, patch)
2017-10-16 04:14 UTC, Mark Wright
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2017-04-05 14:24:10 UTC
Created attachment 469238 [details]
build.log

[ 96%] Building CXX object tools/podofosign/CMakeFiles/podofosign.dir/podofosign.cpp.o
cd /var/tmp/portage/app-text/podofo-0.9.5/work/podofo-0.9.5_build/tools/podofosign && /usr/bin/x86_64-pc-linux-gnu-g++  -I/var/tmp/portage/app-text/podofo-0.9.5/work/podofo-0.9.5_build -I/var/tmp/portage/app-text/podofo-0.9.5/work/podofo-0.9.5 -I/cppunit -I/var/tmp/portage/app-text/podofo-0.9.5/work/podofo-0.9.5/src -I/usr/include/freetype2   -DNDEBUG -march=native -mtune=native -O2 -pipe -std=c++98 -Wall -Woverloaded-virtual -Wswitch-enum -Wcast-qual -Wwrite-strings -Wredundant-decls -Wreorder   -W -o CMakeFiles/podofosign.dir/podofosign.cpp.o -c /var/tmp/portage/app-text/podofo-0.9.5/work/podofo-0.9.5/tools/podofosign/podofosign.cpp
/var/tmp/portage/app-text/podofo-0.9.5/work/podofo-0.9.5/tools/podofosign/podofosign.cpp: In function ‘int main(int, char**)’:
/var/tmp/portage/app-text/podofo-0.9.5/work/podofo-0.9.5/tools/podofosign/podofosign.cpp:869:32: error: ‘OpenSSL_add_all_algorithms’ was not declared in this scope
     OpenSSL_add_all_algorithms();
                                ^
/var/tmp/portage/app-text/podofo-0.9.5/work/podofo-0.9.5/tools/podofosign/podofosign.cpp:870:29: error: ‘ERR_load_crypto_strings’ was not declared in this scope
     ERR_load_crypto_strings();
                             ^
/var/tmp/portage/app-text/podofo-0.9.5/work/podofo-0.9.5/tools/podofosign/podofosign.cpp:1077:22: error: ‘ERR_free_strings’ was not declared in this scope
     ERR_free_strings();
                      ^
make[2]: *** [tools/podofosign/CMakeFiles/podofosign.dir/build.make:63: tools/podofosign/CMakeFiles/podofosign.dir/podofosign.cpp.o] Error 1
make[2]: Leaving directory '/var/tmp/portage/app-text/podofo-0.9.5/work/podofo-0.9.5_build'
make[1]: *** [CMakeFiles/Makefile2:1888: tools/podofosign/CMakeFiles/podofosign.dir/all] Error 2


Please note that installed openssl-1.1 has been compiled with all deprecated features being removed (--api=1.1.0)!
Comment 1 Mark Wright gentoo-dev 2017-10-16 04:14:03 UTC
Created attachment 498818 [details, diff]
podofo-0.9.6_pre20170629-openssl-1.1.patch

Patch (by me) fixes the build of app-text/podofo-0.9.6_pre20170629 with dev-libs/openssl-1.1.0f
Comment 2 Larry the Git Cow gentoo-dev 2017-10-16 07:35:25 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3eb5eefcc21a755a7e29c791944532359a53ec04

commit 3eb5eefcc21a755a7e29c791944532359a53ec04
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2017-10-16 07:30:31 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2017-10-16 07:35:15 +0000

    app-text/podofo: bug 614756 compile error with openssl-1.1
    
    Thanks to Mark Wright <gienah@gentoo.org> for the
    initial patch.
    
    Fixes: https://bugs.gentoo.org/614756
    Package-Manager: Portage-2.3.11, Repoman-2.3.3

 .../podofo-0.9.6_pre20170629-openssl-1.1.patch     | 114 +++++++++++++++++++++
 app-text/podofo/podofo-0.9.6_pre20170629.ebuild    |   4 +
 2 files changed, 118 insertions(+)
Comment 3 Zac Medico gentoo-dev 2017-10-16 07:37:14 UTC
(In reply to Mark Wright from comment #1)
> Created attachment 498818 [details, diff] [details, diff]
> podofo-0.9.6_pre20170629-openssl-1.1.patch
> 
> Patch (by me) fixes the build of app-text/podofo-0.9.6_pre20170629 with
> dev-libs/openssl-1.1.0f

Thanks! In hopes that it will be easier to merged upstream, I've committed a more minimal patch, and sent it upstream here:

https://sourceforge.net/p/podofo/mailman/message/36077904/
Comment 4 Zac Medico gentoo-dev 2017-10-16 17:26:44 UTC
The fix has been merged upstream:

https://sourceforge.net/p/podofo/code/1860